Description: Use standard macro to detect gpgme
Author: Andreas Metzler <ametzler@debian.org>
Origin: vendor
Forwarded: no
Last-Update: 2022-11-12

--- a/configure.in
+++ b/configure.in
@@ -351,10 +351,16 @@
 PKG_CHECK_MODULES([LIBXML], [libxml-2.0])
 
 LIBXML_XMLLINT="$exec_prefix/bin/xmllint"
 AC_SUBST(LIBXML_XMLLINT)
 
+dnl AM_PATH_GPGME requires AM_PATH_GPG_ERROR for fallback to gpgrt-config
+AM_PATH_GPG_ERROR()
+AM_PATH_GPGME([1.0.0],
+	      AC_MSG_RESULT([found GPGME]),
+	      AC_MSG_ERROR([GPGME must be version 1.0 or higher.]))
+
 AC_PATH_PROG([GPGME_CONFIG], [gpgme-config])
 if test -z "$ac_cv_path_GPGME_CONFIG"; then
   AC_MSG_ERROR([Could not find gpgme anywhere.])
 fi
 
